Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041954
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2019-10-08 20:032019-12-12 23:01
ReporterlbressanView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisionebd16c18d765
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR19Q3SCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041954: Amount field refreshed to zero in Add Payment into sales orders

DescriptionWhen we try to apply a payment to any order, the Amount field in Add payment windows is auto filled but when the transaction type is changed the Amount field i is refreshed to $0.
If we click on Order Number the Amount field is auto-filled again.
Steps To Reproduce1) Go to Sales Order windows.
2) Select a register and click the Add Payment button.
3) Here the Amount field is filled ok.
4) On the Add Payment Windows, change the transaction type from "Orders" to "Orders and Invoices" using the Transaction Type selector
5) Now the Amount field value is $0


attach the video--> salesO_amt.mp4
TagsNo tags attached.
Attached Files? file icon salesO_amt.mp4 [^] (984,110 bytes) 2019-10-08 20:03

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0115098)
markmm82 (developer)
2019-10-16 03:30

Test Plan:
1) Go to Sales Order windows.
2) Create a new one, complete and click the Add Payment button.
3) Notice the Amount field is filled ok with the total amount to paid.
4) Change the transaction type from "Orders" to "Orders and Invoices" using the Transaction Type selector
5) Notice the Amount field value is the total amount to paid.
(0115402)
hgbot (developer)
2019-11-05 09:47

Repository: erp/devel/pi
Changeset: ebd16c18d76569718c2c05580220cc54ddc15c0c
Author: Mark Molina <mark.molina <at> doceleguas.com>
Date: Tue Oct 15 22:22:32 2019 -0300
URL: http://code.openbravo.com/erp/devel/pi/rev/ebd16c18d76569718c2c05580220cc54ddc15c0c [^]

Fixes issue 41954: Edited selected records refreshed after gid is reloaded in
Add Payment process

When the Transaction Type option is changed the Order/Invoices grid is reloaded
and the records are removed and loaded with possible changes according selected
option. To fire all the amounts updation logic is fire the doSelection event on
edited selected records of the grid, and this action will update the amounts with
the correct values.

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0115403)
Sandrahuguet (developer)
2019-11-05 09:57

code review + testing ok
(0116272)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-10-08 20:03 lbressan New Issue
2019-10-08 20:03 lbressan Assigned To => Triage Finance
2019-10-08 20:03 lbressan File Added: salesO_amt.mp4
2019-10-08 20:03 lbressan Modules => Core
2019-10-08 20:03 lbressan Triggers an Emergency Pack => No
2019-10-09 08:11 Sandrahuguet Assigned To Triage Finance => markmm82
2019-10-09 08:30 rafaroda Issue Monitored: rafaroda
2019-10-11 03:40 markmm82 Status new => scheduled
2019-10-11 13:30 Sandrahuguet Severity major => minor
2019-10-16 03:30 markmm82 Note Added: 0115098
2019-11-05 09:47 hgbot Checkin
2019-11-05 09:47 hgbot Note Added: 0115402
2019-11-05 09:47 hgbot Status scheduled => resolved
2019-11-05 09:47 hgbot Resolution open => fixed
2019-11-05 09:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ebd16c18d76569718c2c05580220cc54ddc15c0c [^]
2019-11-05 09:57 Sandrahuguet Review Assigned To => Sandrahuguet
2019-11-05 09:57 Sandrahuguet Note Added: 0115403
2019-11-05 09:57 Sandrahuguet Status resolved => closed
2019-11-05 09:57 Sandrahuguet Fixed in Version => 3.0PR20Q1
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116272


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker